Subject: [Lsr] more feedback on draft-ietf-lsr-isis-srv6-extensions-04

From: Chris Bowers <[email-masked]>
Date: Tue, 4 Feb 2020 17:27:06 -0600

LSR,

I have some more feedback on draft-ietf-lsr-isis-srv6-extensions-04 that I
am putting in a separate thread so as not to confuse the other thread
related to N and A flags.

=======
The end of Section 5 points out several issues that can result in
forwarding not working correctly.  The reader might think that the next
section is going to discuss protocol mechanisms to avoid these issues.
Since this is not the case, I think it would be helpful to add some text
near the end of Section 5 like:

"In order to ensure correct forwarding, network operators should take steps
to make sure that this requirement is not compromised."

=========

In section 6, I think it would be useful to explicitly state the following
requirement for SRv6 Locator TLVs and their associated SRv6 SIDs:

"When anycast SRv6 Locator TLVs for the same prefix are advertised by
different nodes, the SRv6 Locator TLVs MUST all advertise identical sets of
SRv6 SIDs."

Section 3.3 of RFC 8402 has similar text: "Within an anycast group, all
routers in an SR domain MUST advertise the same prefix with the same SID
value."  That text only refers to a single SID value, so it seems somewhat
open to interpretation text in the context of an SRv6 locator that carries
multiple SRv6 SIDs. I think it would be better to avoid any potential
ambiguity by using the text proposed above in this document.

=========

In section 12.1.2.  "Revised sub-TLV table" it might avoid an extra
interaction with IANA to add a line for the flex-algo prefix metric
(currently 6) indicating "n" for TLV#27.

==========

Thanks,

Chris

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 5 Feb 2020 00:10:46 +0000

Chris –

Regarding

<snip>
Section 3.3 of RFC 8402 has similar text: "Within an anycast group, all routers in an SR domain MUST advertise the same prefix with the same SID value."  T
<end snip>

The text in RFC 8402 is SR MPLS specific. As an SRv6 SID is an IPv6 address there is no possibility of such an inconsistency.
I therefore think your proposed text imposes an unintended/unnecessary restriction.

I will admit it would have been better to place the RFC 8402 statement into Section 3.3.1 (rather than Section 3.3). If you want to file an editorial errata in this regard I would have no objection.

  Les

From: Lsr <[email-masked]> On Behalf Of Chris Bowers
Sent: Tuesday, February 04, 2020 3:27 PM
To: [email-masked]
Subject: [Lsr] more feedback on draft-ietf-lsr-isis-srv6-extensions-04

LSR,

I have some more feedback on draft-ietf-lsr-isis-srv6-extensions-04 that I am putting in a separate thread so as not to confuse the other thread related to N and A flags.

=======
The end of Section 5 points out several issues that can result in forwarding not working correctly.  The reader might think that the next section is going to discuss protocol mechanisms to avoid these issues.  Since this is not the case, I think it would be helpful to add some text near the end of Section 5 like:

"In order to ensure correct forwarding, network operators should take steps to make sure that this requirement is not compromised."

=========
In section 6, I think it would be useful to explicitly state the following requirement for SRv6 Locator TLVs and their associated SRv6 SIDs:

"When anycast SRv6 Locator TLVs for the same prefix are advertised by different nodes, the SRv6 Locator TLVs MUST all advertise identical sets of SRv6 SIDs."

Section 3.3 of RFC 8402 has similar text: "Within an anycast group, all routers in an SR domain MUST advertise the same prefix with the same SID value."  That text only refers to a single SID value, so it seems somewhat open to interpretation text in the context of an SRv6 locator that carries multiple SRv6 SIDs. I think it would be better to avoid any potential ambiguity by using the text proposed above in this document.
=========

In section 12.1.2.  "Revised sub-TLV table" it might avoid an extra interaction with IANA to add a line for the flex-algo prefix metric (currently 6) indicating "n" for TLV#27.

==========

Thanks,

Chris

---

From: Peter Psenak <[email-masked]>
Date: Wed, 5 Feb 2020 12:13:49 +0100

Hi Chris,

On 05/02/2020 00:27, Chris Bowers wrote:
> LSR,
> 
> I have some more feedback on draft-ietf-lsr-isis-srv6-extensions-04 that 
> I am putting in a separate thread so as not to confuse the other thread 
> "In order to ensure correct forwarding, network operators should take 
> steps to make sure that this requirement is not compromised."

##PP
sure.

> 
> 
> =========
> 
> In section 6, I think it would be useful to explicitly state the 
> following requirement for SRv6 Locator TLVs and their associated SRv6 SIDs:
> 
> 
> different nodes, the SRv6 Locator TLVs MUST all advertise identical sets 
> of SRv6 SIDs."

##PP
here's the proposed text:

All the nodes advertising the same anycast locator MUST instantiate the 
exact same set of SIDs under such anycast locator.

> value."  That text only refers to a single SID value, so it seems 
> somewhat open to interpretation text in the context of an SRv6 locator 
> that carries multiple SRv6 SIDs. I think it would be better to avoid any 
> potential ambiguity by using the text proposed above in this document.
> 
> =========
> 

##PP
flex-algo prefix metric is not defined in this draft, so I don't believe 
we can mention it here.

thanks,
Peter

---

From: Chris Bowers <[email-masked]>
Date: Fri, 7 Feb 2020 16:01:34 -0600

Thanks.  The proposed text below looks good to me.

Chris